Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.plan
Class PlanUtil.ColumnMapping

    java.lang.Object
      org.modeshape.jcr.query.plan.PlanUtil.ColumnMapping

Enclosing class:
  PlanUtil

    public static class PlanUtil.ColumnMapping

extends Object

Defines how the view columns are mapped (or resolved) into the columns from the source tables.

Constructor Summary
`PlanUtil.ColumnMapping(SelectorName originalName)`

Method Summary
`Column` | `getMappedColumn(String viewColumnName)`
`Set<SelectorName>` | `getMappedSelectorNames()`
`SelectorName` | `getOriginalName()`
`SelectorName` | `getSingleMappedSelectorName()`
`boolean` | `isMappedToSingleSelector()`
`void` | `map(String originalColumnName, Column projectedColumn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanUtil.ColumnMapping

    public PlanUtil.ColumnMapping(SelectorName originalName)

Method Detail

### map

    public void map(String originalColumnName,
                    Column projectedColumn)

### getOriginalName

    public SelectorName getOriginalName()

### getMappedColumn

    public Column getMappedColumn(String viewColumnName)

### isMappedToSingleSelector

    public boolean isMappedToSingleSelector()

### getMappedSelectorNames

    public Set<SelectorName> getMappedSelectorNames()

  Returns:
    tableNames

### getSingleMappedSelectorName

    public SelectorName getSingleMappedSelectorName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.